Subject: bug#21665: [bug-diffutils] bug#21665: Use of mmap for large files

From: Jim Meyering <[email-masked]>
Date: Sun, 1 May 2016 18:27:03 -0700

tags 21665 notabug
close 21665
done

On Sun, Oct 11, 2015 at 6:42 AM, Maurice van der Pot
<[email-masked]> wrote:
> I am working on an application suitable for visually merging large files.
> This application delegates determination of differences to GNU diff.
>
> Unfortunately I have found that diff reads the entire input files into
> memory, leading to "/usr/bin/diff: memory exhausted" messages on the
> types of files I'd like to support.
>
> Would you be open to patches that enable diffing large files by using
> mmap?

As Paul responded in http://bugs.gnu.org/21665#8, using mmap seems
unlikely to help much, but if you write the patch and demonstrate that
it does make a difference, we'll be very interested, and I will
happily reopen the issue.

For now, I'm marking this as notabug and closing it.